diff --git a/CISTOOLS/Tables/FUNCTION_PARAMS.sql b/CISTOOLS/Tables/FUNCTION_PARAMS.sql
index 07f18b8..78d11a3 100644
--- a/CISTOOLS/Tables/FUNCTION_PARAMS.sql
+++ b/CISTOOLS/Tables/FUNCTION_PARAMS.sql
@@ -1 +1,32 @@
-ÃÙÅÁãÅ@ÖÙ@ÙÅ×ÓÁÃÅ@ãÁÂÓÅ@ÃÉâãÖÖÓâKÆäÕÃãÉÖÕm×ÁÙÁÔâ@ÆÖÙ@âèâãÅÔ@ÕÁÔÅ@ÆäÕÃãððððñ@M@
%â×ÅÃÉÆÉÃmâÃÈÅÔÁ@ÆÖÙ@ÃÖÓäÔÕ@â×ÅÃâÃÈÅÔÁ@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñð]@ÃÃâÉÄ@ó÷ÕÖã@ÕäÓÓ@k@
%â×ÅÃÉÆÉÃmÕÁÔÅ@ÆÖÙ@ÃÖÓäÔÕ@â×ÅÃÕÁÔÅ@@@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñø]@ÃÃâÉÄ@ó÷ÕÖã@ÕäÓÓ@k@
%ÖÙÄÉÕÁÓm×ÖâÉãÉÖÕ@ÆÖÙ@ÃÖÓäÔÕ@×ÁÙÔÕÖ@@@@@ÉÕãÅÇÅÙ@ÕÖã@ÕäÓÓ@k@
%×ÁÙÁÔÅãÅÙmÔÖÄÅ@ÆÖÙ@ÃÖÓäÔÕ@×ÁÙÔÔÖÄÅ@@@åÁÙÃÈÁÙMõ]@ÁÓÓÖÃÁãÅMõ]@ÃÃâÉÄ@ó÷@ÕÖã@ÕäÓÓk@
%×ÁÙÁÔÅãÅÙmÕÁÔÅ@ÆÖÙ@ÃÖÓäÔÕ@×ÁÙÔÕÁÔÅ@@@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñø]@ÃÃâÉÄ@ó÷ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÄÁãÁmãè×Å@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñø]@ÃÃâÉÄ@ó÷@ÕÖã@ÕäÓÓ@k@
%ÕäÔÅÙÉÃmâÃÁÓÅ@ÆÖÙ@ÃÖÓäÔÕ@âÃÁÓÅ@@@@@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÕäÔÅÙÉÃm×ÙÅÃÉâÉÖÕ@ÆÖÙ@ÃÖÓäÔÕ@×ÙÅÃÉâÉÖÕ@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÃÃâÉÄ@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÃÈÁÙÁÃãÅÙmÔÁçÉÔäÔmÓÅÕÇãÈ@ÆÖÙ@ÃÖÓäÔÕ@ÃÈÁÙÓÅÕ@@@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÃÈÁÙÁÃãÅÙmÖÃãÅãmÓÅÕÇãÈ@ÆÖÙ@ÃÖÓäÔÕ@ÃÈÁÙÂèãÅ@@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÕäÔÅÙÉÃm×ÙÅÃÉâÉÖÕmÙÁÄÉç@ÆÖÙ@ÃÖÓäÔÕ@ÙÁÄÉç@@@@@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÄÁãÅãÉÔÅm×ÙÅÃÉâÉÖÕ@ÆÖÙ@ÃÖÓäÔÕ@ÄÁã×ÙÃ@@@@@ÉÕãÅÇÅÙ@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÉâmÕäÓÓÁÂÓÅ@ÆÖÙ@ÃÖÓäÔÕ@ÕäÓÓâ@åÁÙÃÈÁÙMó]@ÁÓÓÖÃÁãÅMó]@ÃÃâÉÄ@ó÷@ÕÖã@ÕäÓÓ@k@
%ÓÖÕÇmÃÖÔÔÅÕã@ÆÖÙ@ÃÖÓäÔÕ@ÙÅÔÁÙÒâ@@@@åÁÙÇÙÁ×ÈÉÃMòððð]@ÃÃâÉÄ@ñòðð@ÄÅÆÁäÓã@ÕäÓÓ@k
%ÙÖæmãè×Å@ÆÖÙ@ÃÖÓäÔÕ@ÙÖæãè×Å@@@@ÃÈÁÙMñ]@ÃÃâÉÄ@ó÷@ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÄÁãÁmãè×ÅmâÃÈÅÔÁ@ÆÖÙ@ÃÖÓäÔÕ@ãè×ÅâÃÈÅÔÁ@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñð]@ÃÃâÉÄ@ó÷ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÄÁãÁmãè×ÅmÕÁÔÅ@ÆÖÙ@ÃÖÓäÔÕ@ãè×ÅÕÁÔÅ@@@åÁÙÃÈÁÙMñòø]@ÁÓÓÖÃÁãÅMñø]@ÃÃâÉÄ@ó÷ÄÅÆÁäÓã@ÕäÓÓ@k@
%ÁâmÓÖÃÁãÖÙ@ÆÖÙ@ÃÖÓäÔÕ@ÁâÓÖÃÁãÖÙ@@åÁÙÃÈÁÙMó]@ÁÓÓÖÃÁãÅMó]@ÃÃâÉÄ@ó÷@ÕÖã@ÕäÓÓ@k@
%ÉÁâ×mÕäÔÂÅÙ@ÆÖÙ@ÃÖÓäÔÕ@ÉÁâ×ÕäÔÂÅÙ@âÔÁÓÓÉÕã@ÕÖã@ÕäÓÓ@k@
%ÕÖÙÔÁÓÉéÅmÄÁãÁ@ÆÖÙ@ÃÖÓäÔÕ@ÕÖÙÔÁÓÉéÅ@@åÁÙÃÈÁÙMó]@ÁÓÓÖÃÁãÅMó]@ÃÃâÉÄ@ó÷@ÄÅÆÁäÓãÕäÓÓ@k@
%ÄÅÆÁäÓã@ÄÂÃÓÖÂMöõõóö]@ÃÃâÉÄ@ñòðð@ÄÅÆÁäÓã@ÕäÓÓ@]@@@
%@@
%ÙÃÄÆÔã@ÆäÕÃãððððñ@^@
%
%ÇÙÁÕã@ÁÓãÅÙ@k@ÄÅÓÅãÅ@k@ÉÕÄÅç@k@ÉÕâÅÙã@k@ÙÅÆÅÙÅÕÃÅâ@k@âÅÓÅÃã@k@ä×ÄÁãÅ@@@
%ÖÕ@ÃÉâãÖÖÓâKÆäÕÃãÉÖÕm×ÁÙÁÔâ@ãÖ@ÁÔÁ×ÉÃâ@æÉãÈ@ÇÙÁÕã@Ö×ãÉÖÕ@^@
%
%ÇÙÁÕã@ÄÅÓÅãÅ@k@ÉÕâÅÙã@k@âÅÓÅÃã@k@ä×ÄÁãÅ@@@
%ÖÕ@ÃÉâãÖÖÓâKÆäÕÃãÉÖÕm×ÁÙÁÔâ@ãÖ@×äÂÓÉÃ@^@
%
%
\ No newline at end of file
+CREATE OR REPLACE TABLE CISTOOLS.FUNCTION_PARAMS FOR SYSTEM NAME FUNCT00001 ( 
+	SPECIFIC_SCHEMA FOR COLUMN SPECSCHEMA VARCHAR(128) ALLOCATE(10) CCSID 37	NOT NULL , 
+	SPECIFIC_NAME FOR COLUMN SPECNAME   VARCHAR(128) ALLOCATE(18) CCSID 37	NOT NULL , 
+	ORDINAL_POSITION FOR COLUMN PARMNO     INTEGER NOT NULL , 
+	PARAMETER_MODE FOR COLUMN PARMMODE   VARCHAR(5) ALLOCATE(5) CCSID 37 NOT NULL	, 
+	PARAMETER_NAME FOR COLUMN PARMNAME   VARCHAR(128) ALLOCATE(18) CCSID 37	DEFAULT NULL , 
+	DATA_TYPE VARCHAR(128) ALLOCATE(18) CCSID 37 NOT NULL , 
+	NUMERIC_SCALE FOR COLUMN SCALE      INTEGER DEFAULT NULL , 
+	NUMERIC_PRECISION FOR COLUMN PRECISION  INTEGER DEFAULT NULL , 
+	"CCSID" INTEGER DEFAULT NULL , 
+	CHARACTER_MAXIMUM_LENGTH FOR COLUMN CHARLEN    INTEGER DEFAULT NULL , 
+	CHARACTER_OCTET_LENGTH FOR COLUMN CHARBYTE   INTEGER DEFAULT NULL , 
+	NUMERIC_PRECISION_RADIX FOR COLUMN RADIX      INTEGER DEFAULT NULL , 
+	DATETIME_PRECISION FOR COLUMN DATPRC     INTEGER DEFAULT NULL , 
+	IS_NULLABLE FOR COLUMN "NULLS" VARCHAR(3) ALLOCATE(3) CCSID 37 NOT NULL , 
+	LONG_COMMENT FOR COLUMN REMARKS    VARGRAPHIC(2000) CCSID 1200 DEFAULT NULL ,	
+	ROW_TYPE FOR COLUMN ROWTYPE    CHAR(1) CCSID 37 DEFAULT NULL , 
+	DATA_TYPE_SCHEMA FOR COLUMN TYPESCHEMA VARCHAR(128) ALLOCATE(10) CCSID 37	DEFAULT NULL , 
+	DATA_TYPE_NAME FOR COLUMN TYPENAME   VARCHAR(128) ALLOCATE(18) CCSID 37	DEFAULT NULL , 
+	AS_LOCATOR FOR COLUMN ASLOCATOR  VARCHAR(3) ALLOCATE(3) CCSID 37 NOT NULL , 
+	IASP_NUMBER FOR COLUMN IASPNUMBER SMALLINT NOT NULL , 
+	NORMALIZE_DATA FOR COLUMN NORMALIZE  VARCHAR(3) ALLOCATE(3) CCSID 37 DEFAULT	NULL , 
+	"DEFAULT" DBCLOB(65536) CCSID 1200 DEFAULT NULL )   
+	  
+	RCDFMT FUNCT00001 ; 
+
+GRANT ALTER , DELETE , INDEX , INSERT , REFERENCES , SELECT , UPDATE   
+ON CISTOOLS.FUNCTION_PARAMS TO AMAPICS WITH GRANT OPTION ; 
+
+GRANT DELETE , INSERT , SELECT , UPDATE   
+ON CISTOOLS.FUNCTION_PARAMS TO PUBLIC ; 
+
